/* Parrot.h declares class Parrot,
 *  a subclass of FlyingBird.
 * ...
 */
 
#ifndef PARROT
#define PARROT

#include "FlyingBird.h"

class Parrot : public FlyingBird
{
 public:
   Parrot(const string& kind);
   
   virtual string getCall() const = 0;
};

inline Parrot::Parrot(const string& kind) : FlyingBird(kind) {}

#endif
